> ## Documentation Index
> Fetch the complete documentation index at: https://domoinc-openapi-sync-dataflows.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a Group

> Create a new group with the specified details.



## OpenAPI

````yaml /openapi/product/groups-api.yaml post /api/content/v2/groups
openapi: 3.1.0
info:
  title: Group Documentation
  version: 1.0.0
  description: >-
    Authentication: Requests to the endpoints in this document should be
    authenticated using an access token. The token should be passed using the
    X-DOMO-Developer-Token header. For information about generating an access
    token see
    https://domo-support.domo.com/s/article/360042934494?language=en_US.
servers:
  - url: https://{instance}.domo.com
    variables:
      instance:
        default: YOUR_INSTANCE
        description: Domo instance subdomain
security:
  - DomoDeveloperToken: []
tags:
  - name: groups
paths:
  /api/content/v2/groups:
    post:
      tags:
        - Groups API (Product)
      summary: Create a Group
      description: Create a new group with the specified details.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateGroupRequest'
      responses:
        '200':
          description: 'Status Code: 200'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateGroupResponse'
components:
  schemas:
    CreateGroupRequest:
      type: object
      required:
        - name
        - type
      properties:
        name:
          type: string
          description: Name of the group
        description:
          type: string
          description: Description of the group
        type:
          type: string
          description: 'Group type: closed, open, or dynamic'
          enum:
            - closed
            - open
            - dynamic
      example:
        name: New Group
        description: This is a new group
        type: closed
    CreateGroupResponse:
      type: object
      properties:
        id:
          type: string
      example:
        id: '123123123'
  securitySchemes:
    DomoDeveloperToken:
      type: apiKey
      in: header
      name: X-DOMO-Developer-Token

````